| Mozzi version v1.1.0 sound synthesis library for Arduino |

Public Member Functions | List of all members
Line< unsigned long > Class Template Reference

## Public Member Functions
| Line ()
| Constructor. More...
unsigned long | next ()
| Increments one step along the line. More...
void | set (unsigned long value)
| Set the current value of the line. More...
void | set (unsigned long targetvalue, unsigned long num_steps)
| Given a target value and the number of steps to take on the way, this calculates the step size needed to get there from the current value. More...
void | set (unsigned long startvalue, unsigned long targetvalue, unsigned long num_steps)
| Given a new starting value, target value and the number of steps to take on the way, this sets the step size needed to get there. More...

## Detailed Description

### template<>
class Line< unsigned long >

Definition at line 253 of file Line.h.

## Constructor & Destructor Documentation

## ◆ Line()

Line< unsigned long >::Line | ( |  | ) |
| inline

Constructor.

Use the template parameter to set the type of numbers you want to use. For example, Line <int> myline; makes a Line which uses ints.

Definition at line 263 of file Line.h.

## Member Function Documentation

## ◆ next()

unsigned long Line< unsigned long >::next | ( |  | ) |
| inline

Increments one step along the line.

Returns
  the next value.

Definition at line 274 of file Line.h.

## ◆ set() [1/3]

void Line< unsigned long >::set | ( | unsigned long | value | ) |
| inline

Set the current value of the line.

The Line will continue incrementing from this value using any previously calculated step size.

Parameters

  value | the number to set the Line's current_value to.

Definition at line 288 of file Line.h.

## ◆ set() [2/3]

void Line< unsigned long >::set | ( | unsigned long | targetvalue,
|  | unsigned long | num_steps
| ) |  |
| inline

Given a target value and the number of steps to take on the way, this calculates the step size needed to get there from the current value.

Parameters

  targetvalue | the value to move towards.
  num_steps | how many steps to take to reach the target.

Definition at line 300 of file Line.h.

## ◆ set() [3/3]

void Line< unsigned long >::set | ( | unsigned long | startvalue,
|  | unsigned long | targetvalue,
|  | unsigned long | num_steps
| ) |  |
| inline

Given a new starting value, target value and the number of steps to take on the way, this sets the step size needed to get there.

Parameters

  startvalue | the number to set the Line's current_value to.
  targetvalue | the value to move towards.
  num_steps | how many steps to take to reach the target.

Definition at line 311 of file Line.h.